<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-order-heading" data-cy="OrderCreateUpdateHeading" jhiTranslate="ltnApp.order.home.createOrEditLabel">
        Create or edit a Order
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnApp.order.amount" for="field_amount">Amount</label>
          <input type="number" class="form-control" name="amount" id="field_amount" data-cy="amount" formControlName="amount" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnApp.order.createdTime" for="field_createdTime">Created Time</label>
          <div class="input-group">
            <input
              id="field_createdTime"
              data-cy="createdTime"
              type="text"
              class="form-control"
              name="createdTime"
              ngbDatepicker
              #createdTimeDp="ngbDatepicker"
              formControlName="createdTime"
            />
            <span class="input-group-append">
              <button type="button" class="btn btn-secondary" (click)="createdTimeDp.toggle()">
                <fa-icon icon="calendar-alt"></fa-icon>
              </button>
            </span>
          </div>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="ltnApp.order.customer" for="field_customer">Customer</label>
          <select class="form-control" id="field_customer" data-cy="customer" name="customer" formControlName="customer">
            <option [ngValue]="null"></option>
            <option
              [ngValue]="customerOption.id === editForm.get('customer')!.value?.id ? editForm.get('customer')!.value : customerOption"
              *ngFor="let customerOption of customersSharedCollection; trackBy: trackCustomerById"
            >
              {{ customerOption.name }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
